org.apache.cassandra.thrift

## Class CustomTNonBlockingServer

- java.lang.Object
- - org.apache.thrift.server.TServer
  - - org.apache.thrift.server.TNonblockingServer
    - - org.apache.cassandra.thrift.CustomTNonBlockingServer

-     public class CustomTNonBlockingServer
      extends org.apache.thrift.server.TNonblockingServer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CustomTNonBlockingServer.Factory`

    - ### Nested classes/interfaces inherited from class org.apache.thrift.server.TNonblockingServer

      `org.apache.thrift.server.TNonblockingServer.AbstractNonblockingServerArgs<T extends org.apache.thrift.server.TNonblockingServer.AbstractNonblockingServerArgs<T>>, org.apache.thrift.server.TNonblockingServer.Args, org.apache.thrift.server.TNonblockingServer.FrameBuffer, org.apache.thrift.server.TNonblockingServer.SelectThread`

    - ### Nested classes/interfaces inherited from class org.apache.thrift.server.TServer

      `org.apache.thrift.server.TServer.AbstractServerArgs<T extends org.apache.thrift.server.TServer.AbstractServerArgs<T>>`

  - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.server.TServer

      `inputProtocolFactory_, inputTransportFactory_, outputProtocolFactory_, outputTransportFactory_, processorFactory_, serverTransport_`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomTNonBlockingServer(org.apache.thrift.server.TNonblockingServer.Args args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `requestInvoke(org.apache.thrift.server.TNonblockingServer.FrameBuffer frameBuffer)` Perform an invocation.

    - ### Methods inherited from class org.apache.thrift.server.TNonblockingServer

      `isStopped, joinSelector, requestSelectInterestChange, serve, startListening, startSelectorThread, stop, stopListening`

    - ### Methods inherited from class org.apache.thrift.server.TServer

      `isServing, setServing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomTNonBlockingServer

          public CustomTNonBlockingServer(org.apache.thrift.server.TNonblockingServer.Args args)

  - ### Method Detail

    - #### requestInvoke

          protected boolean requestInvoke(org.apache.thrift.server.TNonblockingServer.FrameBuffer frameBuffer)

      Description copied from class: `org.apache.thrift.server.TNonblockingServer`
      Perform an invocation. This method could behave several different ways - invoke immediately inline, queue for separate execution, etc.
      Overrides:
        `requestInvoke` in class `org.apache.thrift.server.TNonblockingServer`

Copyright © 2014 The Apache Software Foundation